"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.retrieveApiVersion = exports.resourceNameForOrg = exports.DEFAULT_ORG_PREFIX = void 0;
const core_1 = require("@salesforce/core");
exports.DEFAULT_ORG_PREFIX = 'org-';
function resourceNameForOrg(orgId) {
    return `${exports.DEFAULT_ORG_PREFIX}${orgId.toLowerCase()}`;
}
exports.resourceNameForOrg = resourceNameForOrg;
async function retrieveApiVersion(plugins) {
    const userSetApiVersion = (await core_1.ConfigAggregator.create()).getConfig().apiVersion;
    if (userSetApiVersion)
        return String(userSetApiVersion);
    if (plugins) {
        const plugin = plugins.find((plugin) => plugin.name === 'salesforce-alm') ||
            plugins.find((plugin) => plugin.name === 'salesforcedx');
        if (plugin)
            return plugin.version;
    }
    return 'unknown';
}
exports.retrieveApiVersion = retrieveApiVersion;
